- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# moeoDummyFitnessAssignment< MOEOT > Class Template Reference

moeoDummyFitnessAssignment is a moeoFitnessAssignment that gives the value '0' as the individual's fitness for a whole population if it is invalid. More...

`#include <moeoDummyFitnessAssignment.h>`

Inheritance diagram for moeoDummyFitnessAssignment< MOEOT >:

List of all members.

## Public Types
typedef MOEOT::ObjectiveVector | ObjectiveVector
| The type for objective vector.
## Public Member Functions
void | operator() (eoPop< MOEOT > &_pop)
| Sets the fitness to '0' for every individuals of the population _pop if it is invalid.
void | updateByDeleting (eoPop< MOEOT > &_pop, ObjectiveVector &_objVec)
| Updates the fitness values of the whole population _pop by taking the deletion of the objective vector _objVec into account.

## Detailed Description

### template<class MOEOT>
class moeoDummyFitnessAssignment< MOEOT >

moeoDummyFitnessAssignment is a moeoFitnessAssignment that gives the value '0' as the individual's fitness for a whole population if it is invalid.

Definition at line 22 of file moeoDummyFitnessAssignment.h.

## Member Function Documentation

template<class MOEOT>

void moeoDummyFitnessAssignment< MOEOT >::operator() | ( | eoPop< MOEOT > & | _pop | ) | `[inline, virtual]`

Sets the fitness to '0' for every individuals of the population _pop if it is invalid.

Parameters:

  | _pop | the population

Implements eoUF< eoPop< MOEOT > &, void >.

Definition at line 34 of file moeoDummyFitnessAssignment.h.

template<class MOEOT>

void moeoDummyFitnessAssignment< MOEOT >::updateByDeleting | ( | eoPop< MOEOT > & | _pop,
|  | ObjectiveVector & | _objVec |
| ) |  |  | `[inline, virtual]`

Updates the fitness values of the whole population _pop by taking the deletion of the objective vector _objVec into account.

Parameters:

  | _pop | the population
  | _objVec | the objective vector

Implements moeoFitnessAssignment< MOEOT >.

Definition at line 52 of file moeoDummyFitnessAssignment.h.

The documentation for this class was generated from the following file:

- moeoDummyFitnessAssignment.h